export default class UniformCodes {
    Codes = {
      
        
          "SBQ_FDC": {
            
              "UP82_2": 
                {
                  "BasicInfo": [
                    {
                      "index": "part1",
                      "tag": "基本信息",
                      "param": [
                        {
                          "name": "有功功率",
                          "num": "1",
                          "code": "AI065",
                          "unit": "Kw"
                        },
                        {
                          "name": "风速",
                          "num": "2",
                          "code": "AI007",
                          "unit": "m/s"
                        },
                        {
                          "name": "发电机转速",
                          "num": "3",
                          "code": "AI128",
                          "unit": "rpm"
                        },
                        {
                          "name": "转子转速",
                          "num": "4",
                          "code": "AI014",
                          "unit": "rpm"
                        },
                        {
                          "name": "偏航位置",
                          "num": "5",
                          "code": "AI034",
                          "unit": "度"
                        }
                      ]
                    },
                    {
                      "index": "part2",
                      "tag": "电网信息",
                      "param": [
                        {
                          "name": "U1项绕组电压",
                          "num": "1",
                          "code": "AI058",
                          "unit": "V"
                        },
                        {
                          "name": "U1项绕组电流",
                          "num": "2",
                          "code": "AI061",
                          "unit": "A"
                        },
                        {
                          "name": "电网无功功率",
                          "num": "3",
                          "code": "AI066",
                          "unit": "kw"
                        },
                        {
                          "name": "功率因数",
                          "num": "4",
                          "code": "AI067"
                        },
                        {
                          "name": "频率",
                          "num": "5",
                          "code": "AI068",
                          "unit": "Hz"
                        },
                        {
                          "name": "总发电量",
                          "num": "6",
                          "code": "AI064",
                          "unit": "万度"
                        },
                        { "num": "7" },
                        { "num": "8" }
                      ]
                    },
                    {
                      "index": "part3",
                      "tag": "温度信息",
                      "param": [
                        {
                          "name": "齿轮箱轴1温度",
                          "num": "1",
                          "code": "AI038",
                          "unit": "℃"
                        },
                        {
                          "name": "齿轮箱轴2温度",
                          "num": "2",
                          "code": "AI039",
                          "unit": "℃"
                        },
                        {
                          "name": "齿轮箱油温",
                          "num": "3",
                          "code": "AI041",
                          "unit": "℃"
                        },
                        {
                          "name": "电机轴承A温度",
                          "num": "4",
                          "code": "AI052",
                          "unit": "℃"
                        },
                        {
                          "name": "电机轴承B温度",
                          "num": "5",
                          "code": "AI053",
                          "unit": "℃"
                        },
                        {
                          "name": "机舱温度",
                          "num": "6",
                          "code": "AI057",
                          "unit": "℃"
                        },
                        {
                          "name": "液压油温度",
                          "num": "7",
                          "code": "AI020",
                          "unit": "℃"
                        },
                        {
                          "name": "冷却风温度",
                          "num": "8",
                          "code": "AI054",
                          "unit": "℃"
                        },
                        {
                          "name": "环境温度",
                          "num": "9",
                          "code": "AI056",
                          "unit": "℃"
                        },
                        {
                          "name": "电机滑环温度",
                          "num": "10",
                          "code": "AI055",
                          "unit": "℃"
                        }
                      ]
                    },
                    {
                      "index": "part4",
                      "tag": "桨叶信息",
                      "param": [
                        {
                          "name": "叶片1偏角",
                          "num": "1",
                          "code": "AI085",
                          "unit": "度"
                        },
                        {
                          "name": "叶片2偏角",
                          "num": "2",
                          "code": "AI086",
                          "unit": "度"
                        },
                        {
                          "name": "叶片3偏角",
                          "num": "3",
                          "code": "AI087",
                          "unit": "度"
                        }
                      ]
                    },
                    {
                      "index": "part5",
                      "tag": "运行参数",
                      "param": [{
                        "name": "总发电量",
                        "num": "3",
                        "code": "AI064",
                        "unit": "度"
                      }]
                    }
                  ]
                }
              
            ,
            
              "UP97": 
                {
                  "BasicInfo": [
                    {
                      "index": "part1",
                      "tag": "基本信息",
                      "param": [
                        {
                          "name": "有功功率",
                          "num": "1",
                          "code": "AI130",
                          "unit": "Kw"
                        },
                        {
                          "name": "风速",
                          "num": "2",
                          "code": "AI007",
                          "unit": "m/s"
                        },
                        {
                          "name": "发电机转速",
                          "num": "3",
                          "code": "AI128",
                          "unit": "rpm"
                        },
                        {
                          "name": "转子转速",
                          "num": "4",
                          "code": "AI014",
                          "unit": "rpm"
                        },
                        {
                          "name": "偏航位置",
                          "num": "5",
                          "code": "AI034",
                          "unit": "度"
                        }
                      ]
                    },
                    {
                      "index": "part2",
                      "tag": "电网信息",
                      "param": [
                        {
                          "name": "U1项绕组电压",
                          "num": "1",
                          "code": "AI058",
                          "unit": "V"
                        },
                        {
                          "name": "U1项绕组电流",
                          "num": "2",
                          "code": "AI061",
                          "unit": "A"
                        },
                        {
                          "name": "频率",
                          "num": "3",
                          "code": "AI068",
                          "unit": "Hz"
                        },
                        {
                          "name": "功率因数",
                          "num": "4",
                          "code": "AI067"
                        },
                        {
                          "name": "电网功率",
                          "num": "5",
                          "code": "AI065",
                          "unit": "kw"
                        },
                        {
                          "name": "电网无功功率",
                          "num": "6",
                          "code": "AI066",
                          "unit": "kw"
                        },
                        {
                          "name": "总发电量",
                          "num": "7",
                          "code": "AI064",
                          "unit": "万度"
                        },
                        { "num": "8" }
                      ]
                    },
                    {
                      "index": "part3",
                      "tag": "温度信息",
                      "param": [
                        {
                          "name": "齿轮箱轴1温度",
                          "num": "1",
                          "code": "AI038",
                          "unit": "℃"
                        },
                        {
                          "name": "齿轮箱轴2温度",
                          "num": "2",
                          "code": "AI039",
                          "unit": "℃"
                        },
                        {
                          "name": "齿轮箱油温",
                          "num": "3",
                          "code": "AI041",
                          "unit": "℃"
                        },
                        {
                          "name": "电机轴承A温度",
                          "num": "4",
                          "code": "AI052",
                          "unit": "℃"
                        },
                        {
                          "name": "电机轴承B温度",
                          "num": "5",
                          "code": "AI053",
                          "unit": "℃"
                        },
                        {
                          "name": "机舱温度",
                          "num": "6",
                          "code": "AI057",
                          "unit": "℃"
                        },
                        {
                          "name": "液压油温度",
                          "num": "7",
                          "code": "AI020",
                          "unit": "℃"
                        },
                        {
                          "name": "发电机冷却风温度",
                          "num": "8",
                          "code": "AI054",
                          "unit": "℃"
                        },
                        {
                          "name": "环境温度",
                          "num": "9",
                          "code": "AI056",
                          "unit": "℃"
                        },
                        {
                          "name": "发电机滑环温度",
                          "num": "10",
                          "code": "AI055",
                          "unit": "℃"
                        }
                      ]
                    },
                    {
                      "index": "part4",
                      "tag": "桨叶信息",
                      "param": [
                        {
                          "name": "叶片1偏角",
                          "num": "1",
                          "code": "AI085",
                          "unit": "度"
                        },
                        {
                          "name": "叶片2偏角",
                          "num": "2",
                          "code": "AI086",
                          "unit": "度"
                        },
                        {
                          "name": "叶片3偏角",
                          "num": "3",
                          "code": "AI087",
                          "unit": "度"
                        }
                      ]
                    },
                    {
                      "index": "part5",
                      "tag": "运行参数",
                      "param": [{
                        "name": "总发电量",
                        "num": "3",
                        "code": "AI064",
                        "unit": "度"
                      }]
                    }
                  ]
                }
              
            ,
            
              "UP105-2000-S": 
                {
                  "BasicInfo": [
                    {
                      "index": "part1",
                      "tag": "基本信息",
                      "param": [
                        {
                          "name": "有功功率",
                          "num": "1",
                          "code": "AI130",
                          "unit": "Kw"
                        },
                        {
                          "name": "风速",
                          "num": "2",
                          "code": "AI022",
                          "unit": "m/s"
                        },
                        {
                          "name": "发电机转速",
                          "num": "3",
                          "code": "AI128",
                          "unit": "rpm"
                        },
                        {
                          "name": "叶轮转速",
                          "num": "4",
                          "code": "AI012",
                          "unit": "rpm"
                        },
                        {
                          "name": "偏航位置",
                          "num": "5",
                          "code": "AI034",
                          "unit": "度"
                        }
                      ]
                    },
                    {
                      "index": "part2",
                      "tag": "电网信息",
                      "param": [
                        {
                          "name": "Ipr线电流1",
                          "num": "1",
                          "code": "AI267",
                          "unit": "A"
                        },
                        {
                          "name": "IprL1L2中性点电压",
                          "num": "2",
                          "code": "AI274",
                          "unit": "V"
                        },
                        {
                          "name": "Ipr无功功率",
                          "num": "3",
                          "code": "AI131"
                        },
                        {
                          "name": "有功控制给定值",
                          "num": "4",
                          "code": "AI426"
                        },
                        {
                          "name": "功率因数",
                          "num": "5",
                          "code": "AI067"
                        },
                        {
                          "name": "Ipr频率",
                          "num": "6",
                          "code": "AI068",
                          "unit": "Hz"
                        },
                        {
                          "name": "发无功总量",
                          "num": "7",
                          "code": "AI198",
                          "unit": "万度"
                        },
                        {
                          "name": "总发电量",
                          "num": "8",
                          "code": "AI064",
                          "unit": "万度"
                        }
                      ]
                    },
                    {
                      "index": "part3",
                      "tag": "温度信息",
                      "param": [
                        {
                          "name": "齿轮箱输入轴温度",
                          "num": "1",
                          "code": "AI038",
                          "unit": "℃"
                        },
                        {
                          "name": "齿轮箱输出轴温度",
                          "num": "2",
                          "code": "AI039",
                          "unit": "℃"
                        },
                        {
                          "name": "齿轮箱油槽温度",
                          "num": "3",
                          "code": "AI041",
                          "unit": "℃"
                        },
                        {
                          "name": "电机轴承A温度",
                          "num": "4",
                          "code": "AI052",
                          "unit": "℃"
                        },
                        {
                          "name": "电机轴承B温度",
                          "num": "5",
                          "code": "AI053",
                          "unit": "℃"
                        },
                        {
                          "name": "机舱柜内温度",
                          "num": "6",
                          "code": "AI070",
                          "unit": "℃"
                        },
                        {
                          "name": "齿箱侧转子轴承温度",
                          "num": "7",
                          "code": "AI071",
                          "unit": "℃"
                        },
                        {
                          "name": "发电机空冷温度",
                          "num": "8",
                          "code": "AI042",
                          "unit": "℃"
                        },
                        {
                          "name": "环境温度",
                          "num": "9",
                          "code": "AI057",
                          "unit": "℃"
                        },
                        {
                          "name": "电机侧转子轴承温度",
                          "num": "10",
                          "code": "AI072",
                          "unit": "℃"
                        }
                      ]
                    },
                    {
                      "index": "part4",
                      "tag": "桨叶信息",
                      "param": [
                        {
                          "name": "叶片1偏角",
                          "num": "1",
                          "code": "AI002",
                          "unit": "度"
                        },
                        {
                          "name": "叶片2偏角",
                          "num": "2",
                          "code": "AI003",
                          "unit": "度"
                        },
                        {
                          "name": "叶片3偏角",
                          "num": "3",
                          "code": "AI004",
                          "unit": "度"
                        }
                      ]
                    },
                    {
                      "index": "part5",
                      "tag": "运行参数",
                      "param": [{
                        "name": "总发电量",
                        "num": "3",
                        "code": "AI064",
                        "unit": "度"
                      }]
                    }
                  ]
                }
              
            
          }
        ,

        
          "MHS_FDC": {
            
              "UP77": 
                {
                  "BasicInfo": [
                    {
                      "index": "part1",
                      "tag": "基本信息",
                      "param": [
                        {
                          "name": "有功功率",
                          "num": "1",
                          "code": "AI130",
                          "unit": "Kw"
                        },
                        {
                          "name": "风速",
                          "num": "2",
                          "code": "AI007",
                          "unit": "m/s"
                        },
                        {
                          "name": "发电机转速",
                          "num": "3",
                          "code": "AI128",
                          "unit": "rp"
                        },
                        {
                          "name": "转子转速",
                          "num": "4",
                          "code": "AI017",
                          "unit": "rp"
                        },
                        {
                          "name": "偏航位置",
                          "num": "5",
                          "code": "AI034",
                          "unit": "度"
                        }
                      ]
                    },
                    {
                      "index": "part2",
                      "tag": "电网信息",
                      "param": [
                        {
                          "name": "U1项绕组电压",
                          "num": "1",
                          "code": "AI058",
                          "unit": "V"
                        },
                        {
                          "name": "U1项绕组电流",
                          "num": "2",
                          "code": "AI061",
                          "unit": "A"
                        },
                        {
                          "name": "U2项绕组电压",
                          "num": "3",
                          "code": "AI059",
                          "unit": "V"
                        },
                        {
                          "name": "U2项绕组电流",
                          "num": "4",
                          "code": "AI062",
                          "unit": "A"
                        },
                        {
                          "name": "U3项绕组电压",
                          "num": "5",
                          "code": "AI060",
                          "unit": "V"
                        },
                        {
                          "name": "U3项绕组电流",
                          "num": "6",
                          "code": "AI063",
                          "unit": "A"
                        },
                        {
                          "name": "功率因数",
                          "num": "7",
                          "code": "AI067"
                        },
                        {
                          "name": "总发电量",
                          "num": "8",
                          "code": "AI064",
                          "unit": "万度"
                        }
                      ]
                    },
                    {
                      "index": "part3",
                      "tag": "温度信息",
                      "param": [
                        {
                          "name": "齿轮箱轴1温度",
                          "num": "1",
                          "code": "AI038",
                          "unit": "℃"
                        },
                        {
                          "name": "齿轮箱轴2温度",
                          "num": "2",
                          "code": "AI039",
                          "unit": "℃"
                        },
                        {
                          "name": "齿轮箱油温",
                          "num": "3",
                          "code": "AI041",
                          "unit": "℃"
                        },
                        {
                          "name": "电机轴承A温度",
                          "num": "4",
                          "code": "AI052",
                          "unit": "℃"
                        },
                        {
                          "name": "电机轴承B温度",
                          "num": "5",
                          "code": "AI053",
                          "unit": "℃"
                        },
                        {
                          "name": "机舱温度",
                          "num": "6",
                          "code": "AI057",
                          "unit": "℃"
                        },
                        {
                          "name": "液压油温度",
                          "num": "7",
                          "code": "AI020",
                          "unit": "℃"
                        },
                        {
                          "name": "冷却风温度",
                          "num": "8",
                          "code": "AI054",
                          "unit": "℃"
                        },
                        {
                          "name": "环境温度",
                          "code": "AI056",
                          "num": "9",
                          "unit": "℃"
                        },
                        {
                          "name": "电机温度",
                          "num": "10",
                          "code": "AI287",
                          "unit": "℃"
                        }
                      ]
                    },
                    {
                      "index": "part4",
                      "tag": "桨叶信息",
                      "param": [
                        {
                          "name": "叶片1偏角",
                          "num": "1",
                          "code": "AI085",
                          "unit": "度"
                        },
                        {
                          "name": "叶片2偏角",
                          "num": "2",
                          "code": "AI086",
                          "unit": "度"
                        },
                        {
                          "name": "叶片3偏角",
                          "num": "3",
                          "code": "AI087",
                          "unit": "度"
                        }
                      ]
                    },
                    {
                      "index": "part5",
                      "tag": "运行参数",
                      "param": [{
                        "name": "总发电量",
                        "num": "3",
                        "unit": "度"
                      }]
                    }
                  ]
                }
              
            ,
            
              "UP105-2000-S": 
                {
                  "BasicInfo": [
                    {
                      "index": "part1",
                      "tag": "基本信息",
                      "param": [
                        {
                          "name": "有功功率",
                          "num": "1",
                          "code": "AI130",
                          "unit": "Kw"
                        },
                        {
                          "name": "风速",
                          "num": "2",
                          "code": "AI022",
                          "unit": "m/s"
                        },
                        {
                          "name": "发电机转速",
                          "num": "3",
                          "code": "AI128",
                          "unit": "rp"
                        },
                        {
                          "name": "转子转速",
                          "num": "4",
                          "code": "AI300",
                          "unit": "rp"
                        },
                        {
                          "name": "偏航位置",
                          "num": "5",
                          "code": "AI034",
                          "unit": "度"
                        }
                      ]
                    },
                    {
                      "index": "part2",
                      "tag": "电网信息",
                      "param": [
                        {
                          "name": "U1项绕组电压",
                          "num": "1",
                          "code": "AI274",
                          "unit": "V"
                        },
                        {
                          "name": "U1项绕组电流",
                          "num": "2",
                          "code": "AI267",
                          "unit": "A"
                        },
                        {
                          "name": "U2项绕组电压",
                          "num": "3",
                          "code": "AI275",
                          "unit": "V"
                        },
                        {
                          "name": "U2项绕组电流",
                          "num": "4",
                          "code": "AI268",
                          "unit": "A"
                        },
                        {
                          "name": "U3项绕组电压",
                          "num": "5",
                          "code": "AI276",
                          "unit": "V"
                        },
                        {
                          "name": "U3项绕组电流",
                          "num": "6",
                          "code": "AI269",
                          "unit": "A"
                        },
                        {
                          "name": "功率因数",
                          "num": "7",
                          "code": "AI067"
                        },
                        {
                          "name": "总发电量",
                          "num": "8",
                          "code": "AI064",
                          "unit": "万度"
                        }
                      ]
                    },
                    {
                      "index": "part3",
                      "tag": "温度信息",
                      "param": [
                        {
                          "name": "齿轮箱轴1温度",
                          "num": "1",
                          "code": "AI038",
                          "unit": "℃"
                        },
                        {
                          "name": "齿轮箱轴2温度",
                          "num": "2",
                          "code": "AI039",
                          "unit": "℃"
                        },
                        {
                          "name": "齿轮箱油温",
                          "num": "3",
                          "code": "AI041",
                          "unit": "℃"
                        },
                        {
                          "name": "电机轴承A温度",
                          "num": "4",
                          "code": "AI052",
                          "unit": "℃"
                        },
                        {
                          "name": "电机轴承B温度",
                          "num": "5",
                          "code": "AI053",
                          "unit": "℃"
                        },
                        {
                          "name": "机舱温度",
                          "num": "6",
                          "code": "AI070",
                          "unit": "℃"
                        },
                        {
                          "name": "液压油温度",
                          "num": "7",
                          "code":"DI1555",
                          "unit": "℃"
                        },
                        {
                          "name": "冷却风温度",
                          "num": "8",
                          "code": "AI042",
                          "unit": "℃"
                        },
                        {
                          "name": "环境温度",
                          "num": "9",
                          "code": "AI056",
                          "unit": "℃"
                        },
                        {
                          "name": "电机温度",
                          "num": "10",
                          "code":"AI042",
                          "unit": "℃"
                        }
                      ]
                    },
                    {
                      "index": "part4",
                      "tag": "桨叶信息",
                      "param": [
                        {
                          "name": "叶片1偏角",
                          "num": "1",
                          "code":"AI002",
                          "unit": "度"
                        },
                        {
                          "name": "叶片2偏角",
                          "num": "2",
                          "code":"AI003",
                          "unit": "度"
                        },
                        {
                          "name": "叶片3偏角",
                          "num": "3",
                          "code":"AI004",
                          "unit": "度"
                        }
                      ]
                    },
                    {
                      "index": "part5",
                      "tag": "运行参数",
                      "param": [{
                        "name": "总发电量",
                        "num": "3",
                        "unit": "度"
                      }]
                    }
                  ]
                }
              
            
          }
        ,
  
        
          "QS_FDC": {
            "CCWE-1500": 
              {
                "BasicInfo": [
                  {
                    "index": "part1",
                    "tag": "基本信息",
                    "param": [
                      {
                        "name": "有功功率",
                        "num": "1",
                        "code": "AI130",
                        "unit": "Kw"
                      },
                      {
                        "name": "风速",
                        "num": "2",
                        "code": "AI022",
                        "unit": "m/s"
                      },
                      {
                        "name": "发电机转速",
                        "num": "3",
                        "code": "AI128",
                        "unit": "rpm"
                      },
                      {
                        "name": "转子转速",
                        "num": "4",
                        "code": "AI181",
                        "unit": "rpm"
                      },
                      {
                        "name": "偏航位置",
                        "num": "5",
                        "code": "AI222",
                        "unit": "度"
                      }
                    ]
                  },
                  {
                    "index": "part2",
                    "tag": "电网信息",
                    "param": [
                      {
                        "name": "风机电压",
                        "num": "1",
                        "code": "AI185",
                        "unit": "V"
                      },
                      {
                        "name": "风机电流",
                        "num": "2",
                        "code": "AI186",
                        "unit": "A"
                      },
                      {
                        "name": "电网无功功率",
                        "num": "3",
                        "code": "AI131",
                        "unit": "kw"
                      },
                      {
                        "name": "功率因数",
                        "num": "4",
                        "code": "AI067"
                      },
                      {
                        "name": "频率",
                        "num": "5",
                        "code": "AI068",
                        "unit": "Hz"
                      },
                      {
                        "name": "总发电量",
                        "num": "6",
                        "code": "AI064",
                        "unit": "万度"
                      },
                      { "num": "7" },
                      { "num": "8" }
                    ]
                  },
                  {
                    "index": "part3",
                    "tag": "温度信息",
                    "param": [
                      {
                        "name": "线圈L1温度",
                        "num": "1",
                        "code": "AI188",
                        "unit": "℃"
                      },
                      {
                        "name": "线圈L2温度",
                        "num": "2",
                        "code": "AI189",
                        "unit": "℃"
                      },
                      {
                        "name": "线圈L3温度",
                        "num": "3",
                        "code": "AI190",
                        "unit": "℃"
                      },
                      {
                        "name": "电机驱动端轴温度",
                        "num": "4",
                        "code": "AI195",
                        "unit": "℃"
                      },
                      {
                        "name": "电机非驱动端轴温度",
                        "num": "5",
                        "code": "AI196",
                        "unit": "℃"
                      },
                      {
                        "name": "高速端轴承温度",
                        "num": "6",
                        "code": "AI204",
                        "unit": "℃"
                      },
                      {
                        "name": "低速端轴承温度",
                        "num": "7",
                        "code": "AI205",
                        "unit": "℃"
                      },
                      {
                        "name": "齿轮箱油温",
                        "num": "8",
                        "code": "AI041",
                        "unit": "℃"
                      },
                      {
                        "name": "主轴温度",
                        "num": "9",
                        "code": "AI213",
                        "unit": "℃"
                      },
                      {
                        "name": "变频器温度",
                        "num": "10",
                        "code": "AI214",
                        "unit": "℃"
                      }
                    ]
                  },
                  {
                    "index": "part4",
                    "tag": "桨叶信息",
                    "param": []
                  },
                  {
                    "index": "part5",
                    "tag": "运行参数",
                    "param": [{
                      "name": "总发电量",
                      "num": "3",
                      "unit": "度"
                    }]
                  }
                ]
              }
            
          }
        ,
  
        
          "NSS_FDC": {
            "UP82": 
              {
                "BasicInfo": [
                  {
                    "index": "part1",
                    "tag": "基本信息",
                    "param": [
                      {
                        "name": "有功功率",
                        "num": "1",
                        "code": "AI065",
                        "unit": "Kw"
                      },
                      {
                        "name": "风速",
                        "num": "2",
                        "code": "AI005",
                        "unit": "m/s"
                      },
                      {
                        "name": "发电机转速",
                        "num": "3",
                        "code": "AI128",
                        "unit": "rpm"
                      },
                      {
                        "name": "转子转速",
                        "num": "4",
                        "code": "AI014",
                        "unit": "rpm"
                      },
                      {
                        "name": "偏航位置",
                        "num": "5",
                        "code": "AI034",
                        "unit": "度"
                      }
                    ]
                  },
                  {
                    "index": "part2",
                    "tag": "电网信息",
                    "param": [
                      {
                        "name": "U1项绕组电压",
                        "num": "1",
                        "code": "AI058",
                        "unit": "V"
                      },
                      {
                        "name": "U1项绕组电流",
                        "num": "2",
                        "code": "AI061",
                        "unit": "A"
                      },
                      {
                        "name": "电网无功功率",
                        "num": "3",
                        "code": "AI066",
                        "unit": "kw"
                      },
                      {
                        "name": "功率因数",
                        "num": "4",
                        "code": "AI067"
                      },
                      {
                        "name": "频率",
                        "num": "5",
                        "code": "AI068",
                        "unit": "Hz"
                      },
                      {
                        "name": "总发电量",
                        "num": "6",
                        "code": "AI064",
                        "unit": "万度"
                      },
                      { "num": "7" },
                      { "num": "8" }
                    ]
                  },
                  {
                    "index": "part3",
                    "tag": "温度信息",
                    "param": [
                      {
                        "name": "齿轮箱轴1温度",
                        "num": "1",
                        "code": "AI038",
                        "unit": "℃"
                      },
                      {
                        "name": "齿轮箱轴2温度",
                        "num": "2",
                        "code": "AI039",
                        "unit": "℃"
                      },
                      {
                        "name": "齿轮箱油温",
                        "num": "3",
                        "code": "AI041",
                        "unit": "℃"
                      },
                      {
                        "name": "电机轴承A温度",
                        "num": "4",
                        "code": "AI052",
                        "unit": "℃"
                      },
                      {
                        "name": "电机轴承B温度",
                        "num": "5",
                        "code": "AI053",
                        "unit": "℃"
                      },
                      {
                        "name": "机舱温度",
                        "num": "6",
                        "code": "AI057",
                        "unit": "℃"
                      },
                      {
                        "name": "液压油温度",
                        "num": "7",
                        "code": "AI020",
                        "unit": "℃"
                      },
                      {
                        "name": "冷却风温度",
                        "num": "8",
                        "code": "AI054",
                        "unit": "℃"
                      },
                      {
                        "name": "环境温度",
                        "num": "9",
                        "code": "AI056",
                        "unit": "℃"
                      },
                      {
                        "name": "电机滑环温度",
                        "num": "10",
                        "code": "AI055",
                        "unit": "℃"
                      }
                    ]
                  },
                  {
                    "index": "part4",
                    "tag": "桨叶信息",
                    "param": [
                      {
                        "name": "叶片1偏角",
                        "num": "1",
                        "code": "AI085",
                        "unit": "度"
                      },
                      {
                        "name": "叶片2偏角",
                        "num": "2",
                        "code": "AI086",
                        "unit": "度"
                      },
                      {
                        "name": "叶片3偏角",
                        "num": "3",
                        "code": "AI087",
                        "unit": "度"
                      }
                    ]
                  },
                  {
                    "index": "part5",
                    "tag": "运行参数",
                    "param": [{
                      "name": "总发电量",
                      "num": "3",
                      "code": "AI064",
                      "unit": "度"
                    }]
                  }
                ]
              }
          }
        ,
  
        
          "XS_FDC": {
            
              "UP97": 
                {
                  "BasicInfo": [
                    {
                      "index": "part1",
                      "tag": "基本信息",
                      "param": [
                        {
                          "name": "有功功率",
                          "num": "1",
                          "code": "AI130",
                          "unit": "Kw"
                        },
                        {
                          "name": "风速",
                          "num": "2",
                          "code": "AI007",
                          "unit": "m/s"
                        },
                        {
                          "name": "发电机转速",
                          "num": "3",
                          "code": "AI128",
                          "unit": "rpm"
                        },
                        {
                          "name": "转子转速",
                          "num": "4",
                          "code": "AI014",
                          "unit": "rpm"
                        },
                        {
                          "name": "偏航位置",
                          "num": "5",
                          "code": "AI034",
                          "unit": "度"
                        }
                      ]
                    },
                    {
                      "index": "part2",
                      "tag": "电网信息",
                      "param": [
                        {
                          "name": "U1项绕组电压",
                          "num": "1",
                          "code": "AI058",
                          "unit": "V"
                        },
                        {
                          "name": "U1项绕组电流",
                          "num": "2",
                          "code": "AI061",
                          "unit": "A"
                        },
                        {
                          "name": "频率",
                          "num": "3",
                          "code": "AI068",
                          "unit": "Hz"
                        },
                        {
                          "name": "功率因数",
                          "num": "4",
                          "code": "AI067"
                        },
                        {
                          "name": "电网功率",
                          "num": "5",
                          "code": "AI065",
                          "unit": "kw"
                        },
                        {
                          "name": "电网无功功率",
                          "num": "6",
                          "code": "AI066",
                          "unit": "kw"
                        },
                        {
                          "name": "总发电量",
                          "num": "7",
                          "code": "AI064",
                          "unit": "万度"
                        },
                        { "num": "8" }
                      ]
                    },
                    {
                      "index": "part3",
                      "tag": "温度信息",
                      "param": [
                        {
                          "name": "齿轮箱轴1温度",
                          "num": "1",
                          "code": "AI038",
                          "unit": "℃"
                        },
                        {
                          "name": "齿轮箱轴2温度",
                          "num": "2",
                          "code": "AI039",
                          "unit": "℃"
                        },
                        {
                          "name": "齿轮箱油温",
                          "num": "3",
                          "code": "AI041",
                          "unit": "℃"
                        },
                        {
                          "name": "电机轴承A温度",
                          "num": "4",
                          "code": "AI052",
                          "unit": "℃"
                        },
                        {
                          "name": "电机轴承B温度",
                          "num": "5",
                          "code": "AI053",
                          "unit": "℃"
                        },
                        {
                          "name": "机舱温度",
                          "num": "6",
                          "code": "AI057",
                          "unit": "℃"
                        },
                        {
                          "name": "液压油温度",
                          "num": "7",
                          "code": "AI020",
                          "unit": "℃"
                        },
                        {
                          "name": "发电机冷却风温度",
                          "num": "8",
                          "code": "AI054",
                          "unit": "℃"
                        },
                        {
                          "name": "环境温度",
                          "num": "9",
                          "code": "AI056",
                          "unit": "℃"
                        },
                        {
                          "name": "发电机滑环温度",
                          "num": "10",
                          "code": "AI055",
                          "unit": "℃"
                        }
                      ]
                    },
                    {
                      "index": "part4",
                      "tag": "桨叶信息",
                      "param": [
                        {
                          "name": "叶片1偏角",
                          "num": "1",
                          "code": "AI085",
                          "unit": "度"
                        },
                        {
                          "name": "叶片2偏角",
                          "num": "2",
                          "code": "AI086",
                          "unit": "度"
                        },
                        {
                          "name": "叶片3偏角",
                          "num": "3",
                          "code": "AI087",
                          "unit": "度"
                        }
                      ]
                    },
                    {
                      "index": "part5",
                      "tag": "运行参数",
                      "param": [{
                        "name": "总发电量",
                        "num": "3",
                        "unit": "万度"
                      }]
                    }
                  ]
                }
              
            ,
            
              "UP105-2000-S": 
                {
                  "BasicInfo": [
                    {
                      "index": "part1",
                      "tag": "基本信息",
                      "param": [
                        {
                          "name": "有功功率",
                          "num": "1",
                          "code": "AI130",
                          "unit": "Kw"
                        },
                        {
                          "name": "风速",
                          "num": "2",
                          "code": "AI022",
                          "unit": "m/s"
                        },
                        {
                          "name": "发电机转速",
                          "num": "3",
                          "code": "AI128",
                          "unit": "rpm"
                        },
                        {
                          "name": "叶轮转速",
                          "num": "4",
                          "code": "AI012",
                          "unit": "rpm"
                        },
                        {
                          "name": "偏航位置",
                          "num": "5",
                          "code": "AI034",
                          "unit": "度"
                        }
                      ]
                    },
                    {
                      "index": "part2",
                      "tag": "电网信息",
                      "param": [
                        {
                          "name": "Ipr线电流1",
                          "num": "1",
                          "code": "AI267",
                          "unit": "A"
                        },
                        {
                          "name": "IprL1L2中性点电压",
                          "num": "2",
                          "code": "AI274",
                          "unit": "V"
                        },
                        {
                          "name": "Ipr无功功率",
                          "num": "3",
                          "code": "AI131"
                        },
                        {
                          "name": "有功控制给定值",
                          "num": "4",
                          "code": "AI426"
                        },
                        {
                          "name": "功率因数",
                          "num": "5",
                          "code": "AI067"
                        },
                        {
                          "name": "Ipr频率",
                          "num": "6",
                          "code": "AI068",
                          "unit": "Hz"
                        },
                        {
                          "name": "发无功总量",
                          "num": "7",
                          "code": "AI198",
                          "unit": "万度"
                        },
                        {
                          "name": "总发电量",
                          "num": "8",
                          "code": "AI064",
                          "unit": "万度"
                        }
                      ]
                    },
                    {
                      "index": "part3",
                      "tag": "温度信息",
                      "param": [
                        {
                          "name": "齿轮箱输入轴温度",
                          "num": "1",
                          "code": "AI038",
                          "unit": "℃"
                        },
                        {
                          "name": "齿轮箱输出轴温度",
                          "num": "2",
                          "code": "AI039",
                          "unit": "℃"
                        },
                        {
                          "name": "齿轮箱油槽温度",
                          "num": "3",
                          "code": "AI041",
                          "unit": "℃"
                        },
                        {
                          "name": "电机轴承A温度",
                          "num": "4",
                          "code": "AI052",
                          "unit": "℃"
                        },
                        {
                          "name": "电机轴承B温度",
                          "num": "5",
                          "code": "AI053",
                          "unit": "℃"
                        },
                        {
                          "name": "机舱柜内温度",
                          "num": "6",
                          "code": "AI070",
                          "unit": "℃"
                        },
                        {
                          "name": "齿箱侧转子轴承温度",
                          "num": "7",
                          "code": "AI036",
                          "unit": "℃"
                        },
                        {
                          "name": "发电机空冷温度",
                          "num": "8",
                          "code": "AI042",
                          "unit": "℃"
                        },
                        {
                          "name": "环境温度",
                          "num": "9",
                          "code": "AI057",
                          "unit": "℃"
                        },
                        {
                          "name": "电机侧转子轴承温度",
                          "num": "10",
                          "code": "AI037",
                          "unit": "℃"
                        }
                      ]
                    },
                    {
                      "index": "part4",
                      "tag": "桨叶信息",
                      "param": [
                        {
                          "name": "叶片1偏角",
                          "num": "1",
                          "code": "AI002",
                          "unit": "度"
                        },
                        {
                          "name": "叶片2偏角",
                          "num": "2",
                          "code": "AI003",
                          "unit": "度"
                        },
                        {
                          "name": "叶片3偏角",
                          "num": "3",
                          "code": "AI004",
                          "unit": "度"
                        }
                      ]
                    },
                    {
                      "index": "part5",
                      "tag": "运行参数",
                      "param": [{
                        "name": "总发电量",
                        "num": "3",
                        "code": "AI064",
                        "unit": "度"
                      }]
                    }
                  ]
                }
              
            
          }
        
      
    }
    constructor(){
        this.getStationInfos=this.getStationInfos.bind(this);
    }

    /* 获取场站信息 */
    getStationInfos(windturbine){
        var val = this.Codes[windturbine.stationId][windturbine.modelId];
        var codes = "";
        val.BasicInfo.forEach(element => {
            console.log(element);
            element.param.forEach(itm=>{
                codes+=itm.code+",";
            });
        });
        val.codes = codes;
        return val;
    }
}